Bug 466000 - NetworkManager does not remember netmask setting [NEEDINFO]
NetworkManager does not remember netmask setting
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-07 13:30 EDT by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:47:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcbw: needinfo? (tromey)

Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2008-10-07 13:30:03 EDT
I set up a Manual IPv4 connection in NetworkManager.

I entered for the netmask.
However, NetworkManager only displays "25" in the GUI.

The setting does seem to work, even though the display is wrong.
Comment 1 Dan Williams 2008-10-07 16:40:53 EDT
Which NM RPM version?

Note that what you're seeing is actually the prefix, not the netmask, so it is correct.
Comment 2 Tom Tromey 2008-10-08 09:26:01 EDT
opsy. rpm -q NetworkManager
Comment 3 Dan Williams 2008-10-19 22:41:10 EDT
So basically when you enter a netmask, you'd rather it keep reporting the netmask rather than the CIDR prefix?  I guess I could make it change to a CIDR prefix right after you tab out of the area to make it less confusing.  CIDR prefixes are definitely the way to go (anaconda uses them everywhere to), but I do agree that the netmask/prefix thing is confusing in the connection editor right now.  Sound OK to have the netmask automatically change to a prefix when you exit the UI element?
Comment 4 Bug Zapper 2008-11-26 06:13:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 01:47:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.